> ## Documentation Index
> Fetch the complete documentation index at: https://docs.methodfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a Verification Session

Retrieves an EntityVerificationSession for an Entity.

## Path Parameters

## Returns

Returns an EntityVerificationSession object.

```bash cURL theme={null}
curl https://production.methodfi.com/entities/ent_au22b1fbFJbp8/verification_sessions/evf_qTNNzCQ63zHJ9 \
  -H "Method-Version: 2026-03-30" \
  -H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc"
```

```javascript Node.js theme={null}
const response = await method
  .entities("ent_au22b1fbFJbp8")
  .verificationSessions
  .retrieve("evf_qTNNzCQ63zHJ9");
```

```python Python theme={null}
response = method
  .entities('ent_au22b1fbFJbp8')
  .verification_sessions
  .retrieve('evf_qTNNzCQ63zHJ9')
```

```json SMS theme={null}
{
  "id": "evf_qTNNzCQ63zHJ9",
  "entity_id": "ent_au22b1fbFJbp8",
  "status": "verified",
  "type": "phone",
  "method": "sms",
  "sms": {
    "timestamp": "2024-02-25T20:02:09.718Z"
  },
  "error": null,
  "created_at": "2024-04-10T16:40:16.271Z",
  "updated_at": "2024-04-10T16:40:16.271Z"
}
```

```json SNA theme={null}
{
  "id": "evf_qTNNzCQ63zHJ9",
  "entity_id": "ent_au22b1fbFJbp8",
  "status": "verified",
  "type": "phone",
  "method": "sna",
  "sna": {
    "urls": [
      "https://production.methodfi.com/sna/evf_qTNNzCQ63zHJ9/sna_vrf_yAJRRk8djWLc8",
      "https://production.methodfi.com/sna/evf_qTNNzCQ63zHJ9/sna_vrf_8AhxN68kpkHmL"
    ]
  },
  "error": null,
  "created_at": "2024-04-10T22:15:57.874Z",
  "updated_at": "2024-04-10T22:15:57.874Z"
}
```

```json ByoSMS theme={null}
{
  "id": "evf_qTNNzCQ63zHJ9",
  "entity_id": "ent_au22b1fbFJbp8",
  "status": "verified",
  "type": "phone",
  "method": "byo_sms",
  "byo_sms": {
    "timestamp": "2024-02-25T20:02:09.718Z"
  },
  "error": null,
  "created_at": "2024-02-27T20:02:09.718Z",
  "updated_at": "2024-02-27T20:02:09.718Z"
}
```

```json ByoKYC theme={null}
{
  "id": "evf_qTNNzCQ63zHJ9",
  "entity_id": "ent_au22b1fbFJbp8",
  "status": "verified",
  "type": "identity",
  "method": "byo_kyc",
  "byo_kyc": {
    "authenticated": true
  },
  "error": null,
  "created_at": "2024-02-27T20:02:09.718Z",
  "updated_at": "2024-02-27T20:02:09.718Z"
}
```

```json Element (phone) theme={null}
{
  "id": "evf_qTNNzCQ63zHJ9",
  "entity_id": "ent_au22b1fbFJbp8",
  "status": "verified",
  "type": "phone",
  "method": "element",
  "element": {
    "element_token": "pk_elem_Y7xDijceWHjjpr8aK8bBTynwFDWbRayL",
    "type": "auth",
    "timestamp": "2024-04-11T19:39:54.735Z"
  },
  "error": null,
  "created_at": "2024-04-11T19:39:54.735Z",
  "updated_at": "2024-04-11T19:39:54.735Z"
}
```

```json Element (identity) theme={null}
{
  "id": "evf_qTNNzCQ63zHJ9",
  "entity_id": "ent_au22b1fbFJbp8",
  "status": "verified",
  "type": "identity",
  "method": "element",
  "element": {
    "element_token": "pk_elem_twaUUGYVMzUhQ8c7rw7PtDejAh7qQAgR",
    "type": "auth",
    "questions": [],
    "authenticated": true
  },
  "error": null,
  "created_at": "2024-04-11T19:39:54.735Z",
  "updated_at": "2024-04-11T19:39:54.735Z"
}
```

```json MethodVerified (phone) theme={null}
{
  "id": "evf_qTNNzCQ63zHJ9",
  "entity_id": "ent_au22b1fbFJbp8",
  "status": "verified",
  "type": "phone",
  "method": "method_verified",
  "error": null,
  "created_at": "2024-04-11T19:46:40.931Z",
  "updated_at": "2024-04-11T19:46:40.931Z"
}
```

```json MethodVerified (identity) theme={null}
{
  "id": "evf_qTNNzCQ63zHJ9",
  "entity_id": "ent_au22b1fbFJbp8",
  "status": "verified",
  "type": "identity",
  "method": "method_verified",
  "error": null,
  "created_at": "2024-04-11T19:46:40.931Z",
  "updated_at": "2024-04-11T19:46:40.931Z"
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.